coreEngine.Calibration

## Class Organism

- java.lang.Object
- - coreEngine.Calibration.Organism

- Direct Known Subclasses:
    CAFBinOrg, ConstrainedCap1Org, ConstrainedCap2Org, HybridDemandOrg, NDistOrg, PBDemOrg

      public abstract class Organism
      extends java.lang.Object

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `GeneticAlgorithm` | `alg`
    `int` | `capacityDropPct`
    `protected float` | `fitness`
    `static java.lang.String` | `FITNESS_TYPE`
    `static java.lang.String` | `FITNESS_TYPE2`
    `static boolean[][]` | `geometry`
    `protected float[]` | `multiFitness`
    `float` | `mutationPct`
    `static int` | `numProfiles`
    `static int[][]` | `profileMapping`
    `protected int` | `scenIdx`
    `int` | `seedIdx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Organism(GeneticAlgorithm alg, int seedIdx)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `applyMeme()`
    `abstract void` | `assignAFToSeed(int seg, int per)`
    `protected abstract void` | `calcFitness()`
    `float` | `checkFitnessDiversity(Organism org)`
    `abstract Organism[]` | `crossover(Organism mate)` Deprecated. @param mate
    `abstract Organism` | `getDeepCopy()`
    `abstract float[]` | `getEncodingArray(int period)`
    `abstract java.lang.String` | `getEncodingString()`
    `float` | `getFitness()`
    `int` | `getScenarioIndex()`
    `static float` | `getSeedBaseFitness(Seed seed, AlgHelper fh)`
    `int` | `getSeedIdx(int seedIdx)`
    `abstract void` | `mutate()`
    `static void` | `setGeometry(boolean[][] geometry)`
    `void` | `setScenarioIndex(int scenarioIndex)`
    `void` | `setSeedIdx(int seedIdx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alg

          public final GeneticAlgorithm alg

    - #### fitness

          protected float fitness

    - #### multiFitness

          protected float[] multiFitness

    - #### scenIdx

          protected int scenIdx

    - #### seedIdx

          public int seedIdx

    - #### capacityDropPct

          public int capacityDropPct

    - #### mutationPct

          public float mutationPct

    - #### FITNESS_TYPE

          public static java.lang.String FITNESS_TYPE

    - #### FITNESS_TYPE2

          public static java.lang.String FITNESS_TYPE2

    - #### geometry

          public static boolean[][] geometry

    - #### numProfiles

          public static int numProfiles

    - #### profileMapping

          public static int[][] profileMapping

  - ### Constructor Detail

    - #### Organism

          public Organism(GeneticAlgorithm alg,
                          int seedIdx)

  - ### Method Detail

    - #### crossover

          public abstract Organism[] crossover(Organism mate)

      Deprecated. @param mate
      Returns:

    - #### mutate

          public abstract void mutate()

    - #### getFitness

          public float getFitness()

    - #### calcFitness

          protected abstract void calcFitness()

    - #### getEncodingString

          public abstract java.lang.String getEncodingString()

    - #### getEncodingArray

          public abstract float[] getEncodingArray(int period)

    - #### assignAFToSeed

          public abstract void assignAFToSeed(int seg,
                                              int per)

    - #### getDeepCopy

          public abstract Organism getDeepCopy()

    - #### applyMeme

          public abstract int applyMeme()

    - #### setGeometry

          public static void setGeometry(boolean[][] geometry)

    - #### checkFitnessDiversity

          public float checkFitnessDiversity(Organism org)

    - #### getScenarioIndex

          public int getScenarioIndex()

    - #### setScenarioIndex

          public void setScenarioIndex(int scenarioIndex)

    - #### getSeedIdx

          public int getSeedIdx(int seedIdx)

    - #### setSeedIdx

          public void setSeedIdx(int seedIdx)

    - #### getSeedBaseFitness

          public static float getSeedBaseFitness(Seed seed,
                                                 AlgHelper fh)